Package com.smartgwt.client.ai

# Class AIMessage

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.ai.AIMessage

All Implemented Interfaces:
  `HasHandlers`

Direct Known Subclasses:
  `AIMessageWithSource`

public class AIMessage extends DataClass
An individual message in the list of `AIRequest.messages` of an AI request.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AIMessage()`
  `AIMessage(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getContent()`
  The data for the message.
  `String`
  `getImageDetail()`
  For a message whose `type` is "jpegImage" or "pngImage", how finely the AI should examine the image: "low", "high" or "auto".
  `static AIMessage`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `AIContentType`
  `getType()`
  The type of data.
  `AIMessage`
  `setContent(Object content)`
  The data for the message.
  `AIMessage`
  `setImageDetail(String imageDetail)`
  For a message whose `type` is "jpegImage" or "pngImage", how finely the AI should examine the image: "low", "high" or "auto".
  `AIMessage`
  `setType(AIContentType type)`
  The type of data.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AIMessage

    public AIMessage()

  - ### AIMessage

    public AIMessage(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static AIMessage getOrCreateRef(JavaScriptObject jsObj)

  - ### setContent

    public AIMessage setContent(Object content)
    The data for the message. If the `type` of this message is "jpegImage" or "pngImage", this will be the base64-encoded image data.
    Parameters:
      `content` - New content value. Default value is null
    Returns:
      `AIMessage` instance, for chaining setter calls

  - ### getContent

    public Object getContent()
    The data for the message. If the `type` of this message is "jpegImage" or "pngImage", this will be the base64-encoded image data.
    Returns:
      Current content value. Default value is null

  - ### setImageDetail

    public AIMessage setImageDetail(String imageDetail)
    For a message whose `type` is "jpegImage" or "pngImage", how finely the AI should examine the image: "low", "high" or "auto". Only meaningful for engines that expose such a setting; ignored by the others.

    When unset, the engine's own default applies, which for most engines downsamples the image substantially. Set "high" when small text in the image must be read - the text in a sketch or wireframe, for instance - and expect a correspondingly higher token cost.

    Parameters:
      `imageDetail` - New imageDetail value. Default value is null
    Returns:
      `AIMessage` instance, for chaining setter calls

  - ### getImageDetail

    public String getImageDetail()
    For a message whose `type` is "jpegImage" or "pngImage", how finely the AI should examine the image: "low", "high" or "auto". Only meaningful for engines that expose such a setting; ignored by the others.

    When unset, the engine's own default applies, which for most engines downsamples the image substantially. Set "high" when small text in the image must be read - the text in a sketch or wireframe, for instance - and expect a correspondingly higher token cost.

    Returns:
      Current imageDetail value. Default value is null

  - ### setType

    public AIMessage setType(AIContentType type)
    The type of data.
    Parameters:
      `type` - New type value. Default value is "text"
    Returns:
      `AIMessage` instance, for chaining setter calls

  - ### getType

    public AIContentType getType()
    The type of data.
    Returns:
      Current type value. Default value is "text"